Bug 1809911 - Hiding internal objects doesn't work
Summary: Hiding internal objects doesn't work
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-04 07:07 UTC by umanga
Modified: 2020-11-02 01:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-02 01:27:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description umanga 2020-03-04 07:07:14 UTC
Document URL: 

https://docs.openshift.com/container-platform/4.3/operators/operator_sdk/osdk-generating-csvs.html#osdk-hiding-internal-objects_osdk-generating-csvs

Section Number and Name: 
Generating a ClusterServiceVersion (CSV) > Hiding internal objects

Describe the issue: 
The feature documented doesn't work on OCP 4.3. It works on OCP 4.4.

Suggestions for improvement: 
Remove the section.

Additional information: 
We use this feature at https://github.com/openshift/ocs-operator/blob/master/deploy/olm-catalog/ocs-operator/4.3.0/ocs-operator.v4.3.0.clusterserviceversion.yaml#L63

Comment 1 Samuel Padgett 2020-03-10 13:08:10 UTC
In 4.3, it's used only in the Developer perspective Catalog page, but will be honored there. In 4.4, we extended it to the Installed Operators view.

Comment 3 Vikram Goyal 2020-11-02 01:27:15 UTC
OCP 4.2 and 4.3 are EOL after OCP 4.5 and 4.6 GA respectively.

This is a notification that this bug is being CLOSED as EOL as per the previous comment on this bug.

See my announcement email sent a week ago here [2].

If you have a customer case with a support exception or if you think this issue still applies on 4.4+, please reopen and include those details. When reopening, please change the reported version to 4.4+.

[1]: https://access.redhat.com/support/policy/updates/openshift
[2]: http://post-office.corp.redhat.com/archives/openshift-sme/2020-October/msg00826.html


Note You need to log in before you can comment on or make changes to this bug.